Get Doctor profile
curl --request GET \
--url https://api.eka.care/dr/v1/doctor/{doctor_id} \
--header 'auth: <auth>'import requests
url = "https://api.eka.care/dr/v1/doctor/{doctor_id}"
headers = {"auth": "<auth>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {auth: '<auth>'}};
fetch('https://api.eka.care/dr/v1/doctor/{doctor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234567890",
"profile": {
"personal": {
"salutation": "Dr.",
"first_name": "Rahul",
"middle_name": "",
"last_name": "Kumar",
"dob": "1970-01-01",
"gender": "M",
"pic": "https://a.eka.care/doctor-avatar/170062845263102"
},
"professional": {
"active": true,
"username": "dr-rahul-kumar-cardiologist",
"about": "Dr. Rahul Kumar is a Cardiologist with 43 years of experience.",
"language": [
{
"code": "en",
"language": "English"
}
],
"degree": [
{
"name": "MBBS,MD",
"branch_name": "",
"college_name": "",
"start_year": "",
"end_year": ""
}
],
"major_speciality": {
"name": "Cardiologist",
"code": "CA"
},
"speciality": [
{
"name": "General Physician"
},
{
"name": "Diabetologist"
},
{
"name": "Allergy Specialist"
}
],
"clinics": [
{
"id": "1234567899876",
"name": "Vagus Hospital & Health Services",
"contacts": [
{
"name": "Phone",
"number": "+91999999999"
}
],
"address": {
"line1": "H No -122/a,, Pocket 2 back side of Yamaha 2 wheeler showroom., Pocket 2, Gate No :-2, nearest to Homeopathy clinic.",
"city": "Delhi",
"country": "India",
"state": "Delhi",
"pin": "110085"
}
}
],
"default_clinic": "1234567899876"
}
}
}{
"data": {},
"error": {
"code": "UNAUTHORIZED_ENTITY",
"message": "You are not authorized to view requisted resource Doctor"
}
}{
"data": {},
"error": {
"code": "INVALID_DATA",
"message": "Doctor id entered is incorrect"
}
}Doctor and clinic API
Get Doctor profile
Overview
This API endpoint is used to retrieve detailed information about a specific doctor using their unique identifier. The response includes comprehensive information about the doctor, such as personal details, specializations, and associated clinics.
Request Parameters
| Parameter | Type | Description | Required |
|---|---|---|---|
| doctor_id | string | Unique identifier for the doctor | Yes |
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| id | string | Unique identifier for the doctor in Eka |
| created_at | datetime | Timestamp when the doctor profile was created |
| profile | object | Doctor’s profile details |
| profile.personal | object | Personal details of the doctor |
| profile.personal.salutation | string | Salutation (e.g., Dr.) |
| profile.personal.first_name | string | First name of the doctor |
| profile.personal.middle_name | string | Middle name of the doctor |
| profile.personal.last_name | string | Last name of the doctor |
| profile.personal.email | string | Email address of the doctor |
| profile.personal.gender | string | Gender of the doctor |
| profile.personal.dob | date | Date of birth of the doctor |
| profile.professional | object | Professional details of the doctor |
| profile.professional.username | string | Username of the Doctor |
| profile.professional.active | boolean | Flag indicating if the profile is active |
| profile.professional.about | string | About section describing the doctor |
| profile.professional.language | array | Languages spoken by the doctor |
| profile.professional.language[].language | string | Language name (e.g., English) |
| profile.professional.clinics | array | Clinics associated with the doctor |
| profile.professional.clinics[] | object | Clinic details |
| profile.professional.clinics[]..id | string | Unique identifier for the clinic |
| profile.professional.clinics[].city_name | string | City name where the clinic is located |
| profile.professional.clinics[].name | string | Name of the clinic |
| profile.professional.clinics[].email | string | Email address of the clinic |
| profile.professional.clinics[].about | string | About section of the clinic |
| profile.professional.clinics[].speciality | array | Specialities offered at the clinic |
| profile.professional.clinics[].number | array | Contact numbers for the clinic |
| profile.professional.clinics[].number[].name | string | Type of contact number (e.g., Phone, Mobile) |
| profile.professional.clinics[].number[].n | string | Contact number |
| profile.professional.clinics[].address | object | Address details of the clinic |
| profile.professional.clinics[].address.line1 | string | Address line 1 |
| profile.professional.clinics[].address.line2 | string | Address line 2 |
| profile.professional.clinics[].address.city | string | City of the clinic |
| profile.professional.clinics[].address.state | string | State of the clinic |
| profile.professional.clinics[].address.country | string | Country of the clinic |
| profile.professional.clinics[].address.pincode | string | Pincode of the clinic |
| profile.professional.clinics[].location | array | Location coordinates of the clinic |
| profile.professional.default_clinic | string | Default clinic ID |
| profile.professional.all_registrations | array | Registrations of the doctor |
| profile.professional.all_registrations[].id | number | Registration ID |
| profile.professional.all_registrations[].council | string | Medical council name |
| profile.professional.all_registrations[].medical_id | string | Medical ID number |
| profile.professional.all_registrations[].year | string | Year of registration |
| profile.professional.all_registrations[].default | boolean | Flag indicating if it is the default registration |
| profile.professional.degree | array | Degrees earned by the doctor |
| profile.professional.degree[].id | number | Degree ID |
| profile.professional.degree[].name | string | Name of the degree |
| profile.professional.degree[].branch_name | string | Branch name |
| profile.professional.degree[].college_name | string | College name |
| profile.professional.degree[].display_status | string | Display status of the degree |
| profile.professional.degree[].start_year | string | Start year of the degree |
| profile.professional.degree[].end_year | string | End year of the degree |
| profile.professional.major_speciality | object | Major speciality of the doctor |
| profile.professional.major_speciality.name | string | Name of the major speciality |
| profile.professional.speciality | array | Specialities of the doctor |
| profile.professional.speciality[].name | string | Name of the speciality |
| Status Codes |
• 200: Success
• 403: Doctor data missing
• 500: Wrong API URL/Token mismatched/Wrong JSON request.
GET
/
dr
/
v1
/
doctor
/
{doctor_id}
Get Doctor profile
Headers
Example:
"auth"
Path Parameters
Response
OK
Show child attributes
Show child attributes
Example:
{
"personal": {
"salutation": "Dr.",
"first_name": "doctor",
"middle_name": "",
"last_name": "doctor",
"dob": "",
"gender": "M"
},
"professional": {
"active": true,
"about": "doctor doctor is a Cardiologist with 43 years of experience.",
"language": [{ "code": "en", "language": "English" }],
"degree": [
{
"name": "MD",
"branch_name": "",
"college_name": "",
"start_year": "",
"end_year": ""
}
],
"major_speciality": { "name": "Cardiologist", "code": "CA" },
"speciality": [
{ "name": "General Physician" },
{ "name": "Diabetologist" },
{ "name": "Allergy Specialist" }
],
"clinics": [
{
"id": "1234567899876",
"name": "Vagus Hospital & Health Services",
"contacts": [
{ "name": "Phone", "number": "+91999999999" }
],
"address": {
"line1": "H No -122/a,, Pocket 2 back side of Yamaha 2 wheeler showroom., Pocket 2, Gate No :-2, nearest to Homeopathy clinic.",
"city": "Delhi",
"country": "India",
"state": "Delhi",
"pin": "110085"
}
}
],
"default_clinic": "1234567899876"
}
}
Was this page helpful?

